package com.ekexiu.project.bridge.envdata;

import com.ekexiu.project.bridge.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/3/18.
 */
@PrimaryKey("id")
@Table(descp = "除湿系统采集服务器")
public class EnvServer implements BaseTable {
    private String id;
    private String code;
    private String seq;
    private String bridgeId;
    private String ipAddress;
    private String remark;
    private boolean active;

    private String createTime;
    private String modifyTime;
    private String creator;
    private String modifier;

    @Column(descp = "id", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "采集服务器编号", value = DE.text_de)
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(descp = "内部编号", value = DE.text_de)
    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    @Column(descp = "采集服务器所属桥梁Id", value = DE.text_de)
    public String getBridgeId() {
        return bridgeId;
    }

    public void setBridgeId(String bridgeId) {
        this.bridgeId = bridgeId;
    }

    @Column(descp = "采集服务器ip", value = DE.text_de)
    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    @Column(descp = "备注", value = DE.Text_de)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}
