package com.ekexiu.project.bridge.envdata;

import com.ekexiu.project.bridge.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/3/18.
 */
@PrimaryKey("id")
@Table(descp = "传感器")
public class EnvTransducer implements BaseTable {

    private String id;
    private String serverId;
    private String system;
    private int organize;
    private int code;
    private int seq;
    private String name;
    private String position;
    private String cableType;
    private String unit;
    private String remark;
    private boolean active;

    private String createTime;
    private String modifyTime;
    private String creator;
    private String modifier;

    @Column(descp = "id", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "所属服务器ID", value = DE.text_de)
    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    @Column(descp = "所属系统", value = DE.text_de)
    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    @Column(descp = "所属组", value = DE.int_de)
    public int getOrganize() {
        return organize;
    }

    public void setOrganize(int organize) {
        this.organize = organize;
    }


    @Column(descp = "传感器编号", value = DE.int_de)
    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    @Column(descp = "内部编号", value = DE.int_de)
    public int getSeq() {
        return seq;
    }

    public void setSeq(int seq) {
        this.seq = seq;
    }

    @Column(descp = "名称", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "所属方位", value = DE.text_de)
    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    @Column(descp = "所属主缆", value = DE.text_de)
    public String getCableType() {
        return cableType;
    }

    public void setCableType(String cableType) {
        this.cableType = cableType;
    }

    @Column(descp = "数据单位", value = DE.text_de)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Column(descp = "备注", value = DE.Text_de)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}
